package com.usky.iot;


import com.usky.iot.factory.RemoteIotFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(contextId = "remoteIotService", value = "service-iot" , fallbackFactory = RemoteIotFactory.class)
public interface RemoteIotService {

    @GetMapping("/executeTimedSending")
    void executeTimedSending();

    @GetMapping("/reportSubmissionReminder")
    void reportSubmissionReminder();
}
