package com.usky.pm;

import com.usky.pm.factory.RemotePmFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(contextId = "remotePmService", value = "service-pm" , fallbackFactory = RemotePmFactory.class)
public interface RemotePmService {

    @GetMapping("/executeTimedSending")
    void executeTimedSending();

    @GetMapping("/reportSubmissionReminder")
    void reportSubmissionReminder();
}
