package com.usky.ids.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.ids.domain.IdsParkMap;
import com.usky.ids.service.IdsParkMapService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author han
 * @since 2025-01-18
 */
@RestController
@RequestMapping("/idsParkMap")
public class IdsParkMapController {
    @Autowired
    private IdsParkMapService idsParkMapService;
    /**
     * 获取车位信息
     * @return
     */
    @GetMapping("mapList")
    ApiResult<Object> mapList(){
        return ApiResult.success(idsParkMapService.mapList());
    }
}

